import React from 'react';
import { ICardContainerProps } from './CardListingContainer/CardListingContainer.interface';
import { IFiltersComponentProps } from './FiltersContainer/FiltersContainer.interface';
import { IPageListingProps, IPageListingChildrenProps } from './PageListing.interface';
export declare const PageListing: React.FunctionComponent<IPageListingProps> & {
    ScrollContainer?: React.FunctionComponent<React.HTMLAttributes<HTMLDivElement>>;
    FiltersContainer?: React.FunctionComponent<{
        filterComponent: React.FunctionComponent<IFiltersComponentProps>;
    }>;
    Context?: React.FunctionComponent<{
        render: (props: IPageListingChildrenProps) => React.ReactNode;
    }>;
    CardsContainer?: React.FunctionComponent<ICardContainerProps>;
    TextResultCount?: React.FunctionComponent<any>;
};
//# sourceMappingURL=PageListing.d.ts.map